src.c.Main.Main Class Reference

Controleur principal de l'application administration. More...

## Public Member Functions

def | __init__ (self)
| Constructeur.
def | activity (self, msg, lvl)
| Methode d'ecriture dans les logs. More...
def | loadLastActivity (self)
| Chargement des derniers log.
def | addItemActivite (self, line)
def | majListeParking (self)
| Mise a jour de la liste des parkings.
def | selectParking (self)
| Action a réaliser lorsque un parking est selectionné
def | doMaintenance (self)
| Gestion de la realisation d'une maintenance.
def | doEntretien (self)
| Gestion de la realisation d'un entretien.
def | doLivraison (self)
| Gestion de la realisation d'une livraison.
def | majLivraison (self)
| Gestion de la mise a jour d'une livraison.
def | creerParking (self)
| Gestion de l'ouverture d'une fenetre de CreaParking.
def | rmParking (self)
| Suppression d'un parking.
def | detailsPlacesParking (self)
| Affichage d'une fenetre DetailsPlaces des Place d'un parking.
def | afficherBornes (self)
| Gestion affichage des Borne.
def | nouveau (self)
| Gestion reinitilaisation de la BD.
def | charger (self)
| gestion du chargement d'une BD depuis un fichier
def | sauver (self)
| Gestion sauvegarde de la BD dans un fichier.
def | quitter (self)
| Gestion quitter.
def | showWindow (self)
| Gestion affichage Main.
def | error (self, msg)
| Gestion affichage QDialog d'erreur. More...

## Public Attributes

| lvl
| activite

## Detailed Description

Controleur principal de l'application administration.

## Member Function Documentation

def src.c.Main.Main.activity | ( |  | self,
|  |  | msg,
|  |  | lvl
| ) |  |

Methode d'ecriture dans les logs.

Parameters

  msg | message a ecrire
  lvl | lvl du message (niveau d'importance)

def src.c.Main.Main.error | ( |  | self,
|  |  | msg
| ) |  |

Gestion affichage QDialog d'erreur.

Parameters

  msg | le message d'erreur

The documentation for this class was generated from the following file:

- src/c/Main.py